/* ===== 头部 ===== */
.header {
    position: fixed;
    top: 0;
    width: 100%;
    display: flex;
    justify-content: space-between;
    padding: 10px 10px;
    z-index: 1000;
}

.header .logo img {
    height: 40px;
    width: auto;
    display: block;
}

/* ===== Hero ===== */
.hero {
    position: relative;
    height: 1000px;
    background: url("../img/banner.jpg") center/cover;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    color: white;
    overflow: visible;
    padding-bottom: 100px;
}

.hero::before {
    content: "";
    position: absolute;
    inset: 0;
    background: linear-gradient(
        to bottom,
        rgba(0, 0, 0, 0.8) 0%,
        rgba(0, 0, 0, 0.5) 25%,
        rgba(0, 0, 0, 0.5) 50%,
        rgba(0, 0, 0, 0.5) 100%
    );
    z-index: 1;
}

.hero * {
    position: relative;
    z-index: 2;
}

.hero .avatar{
    width: 125px;
    height: 125px;
    border-radius: 50%;
    object-fit: cover;

    box-shadow: 0 10px 30px rgba(0,0,0,0.4);

    margin-bottom: 15px;
}

.hero h1 {
    font-size: 36px;
    font-weight: normal;
    margin: 10px 0;

    text-shadow: 0 4px 15px rgba(0,0,0,0.5);
}

.hero p {
    font-size: 20px;
    opacity: 0.9;
}

.hero-title {
    margin-bottom: 5px;
}

.hero-desc {
    margin-top: 5px;
    opacity: 0.9;
}

.hero-divider {
    width: 500px;
    height: 1px;
    margin: 20px auto;

    background: linear-gradient(
        to right,
        rgba(0,0,0,0) 0%,
        rgba(0,0,0,0.4) 30%,
        rgba(0,0,0,0.5) 50%,
        rgba(0,0,0,0.4) 70%,
        rgba(0,0,0,0) 100%
    );
}

/* Hero底部导航整体 */
.hero-nav {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100px;

    background: rgba(123, 98, 92, 0.5);
    display: flex;
    align-items: center;
    justify-content: center;
}

.hero-nav::before,
.hero-nav::after {
    content: "";
    position: absolute;
    left: 0;
    width: 100%;
    height: 2px;
    background: rgba(78, 60, 58, 0.9);
}

.hero-nav::before {
    top: 0;
}

.hero-nav::after {
    bottom: 0;
}

.hero-nav-inner {
    display: flex;
    align-items: center;
    gap: 10px;
}

.hero-nav a {
    color: #aa8282; /* 褐色文字 */
    text-decoration: none;
    font-size: 25px;
    padding: 0 20px;
    text-shadow: 0 5px 10px rgba(59, 45, 43, 0.5);

    transition: color 0.3s ease;
}

.hero-nav a:hover {
    color: #dec0c0;
    text-shadow: 0 4px 15px rgba(255, 255, 255, 0.5);
}

.hero-nav .dot {
    color: #aa8282;
    font-size: 25px;
}

/* 下拉容器 */
.nav-dropdown {
    position: relative;
    display: inline-block;
}

/* 按钮 */
.dropdown-toggle {
    cursor: pointer;
}

/* 下拉菜单主体 */
.dropdown-menu {
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translateX(-50%) translateY(10px);
    backdrop-filter: blur(10px);

    background: rgba(78, 57, 53, 0.8); /* 褐色半透明 */
    border-radius: 12px;
    padding: 10px 0;

    min-width: 180px;

    opacity: 0;
    visibility: hidden;

    transition: all 0.3s ease;
}

/* 菜单项 */
.dropdown-menu a {
    display: block;
    padding: 10px 20px;
    color: #aa8282;
    text-align: center;
    transition: 0.3s;
}

/* hover效果 */
.dropdown-menu a:hover {
    color: #dec0c0;
}

/* 显示状态 */
.nav-dropdown.active .dropdown-menu {
    opacity: 1;
    visibility: visible;
    transform: translateX(-50%) translateY(0);
}